package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.common.utils.exception.Result;
import cn.wisenergy.model.vo.GetManagerProjectsVo;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description:
 * @author: nh
 * @create: 2021-01-20 16:47
 **/
@RestController
@Api(tags = "项目模块")
@Slf4j
public class WorkProjectController {

    @ApiOperation(value = "项目/商机基础信息", notes = "项目/商机基础信息", httpMethod = "GET")
    @ApiImplicitParam(name = "gmpv",value = "获取管理的项目/商机",dataType = "GetManagerProjectsVo")
    @GetMapping(value = "/getProject")
    public Result<PageInfo> getProject(GetManagerProjectsVo gmpv) {
        log.info("WorkProjectController[]getProject[]input.param.GetManagerProjectsVo:{}" + gmpv);



        return null;
    }

}
